package com.tanpu.feo.feojob.controller;

import cn.hutool.json.JSONUtil;
import com.fengwenyi.api.result.ResultTemplate;
import com.tanpu.feo.feojob.dto.OrgSyncDto;
import com.tanpu.feo.feojob.jobs.OrgSyncByWxcpJob;
import com.tanpu.feo.feojob.service.OrgSyncByJyzyService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

@RestController
@Api(tags = "手动执行 机构信息同步任务")
@RequestMapping(value = "v1/orgSync")
@Slf4j
public class OrgSyncController {

    @Resource
    private OrgSyncByWxcpJob orgSyncByWxcpJob;
    @Resource
    private OrgSyncByJyzyService orgSyncByJyzyService;

    @RequestMapping(value = "/executeSyneFromWxCp", method = RequestMethod.GET)
    @ApiOperation(value = "从企业微信同步")
    public ResultTemplate<String> executeSyneFromWxCp() {
        orgSyncByWxcpJob.orgSyncByWxcp("N");
        return ResultTemplate.success("执行完成");
    }

    @RequestMapping(value = "/executeSyneFromJyzy", method = RequestMethod.POST)
    @ApiOperation(value = "从精业展业同步")
    public ResultTemplate<String> executeSyneFromJyzy(@RequestBody @Validated OrgSyncDto OrgSyncDto) {
        log.info("======executeSyneFromJyzy:入参数据->{}======", JSONUtil.toJsonStr(OrgSyncDto));
        return orgSyncByJyzyService.orgSyncByJyzy(OrgSyncDto);
    }
}
